Subject: Re: [RAM] Incremental Deployment of LISP

From: [email-masked]
Date: Thu, 29 Mar 2007 15:06:26 EST

"Saying where some user is" and "communicating, I have reachability to this  
or that" relates to the same, which is, at which node you may find that  guy.
 
How to get there is of course a different thing. 
 
I think we don't have that different opinions as it may look like, right  ?
 
Heiner

In einer eMail vom 29.03.2007 21:52:52 Westeuropäische Normalzeit schreibt  
[email-masked]:

> From: [email-masked]

>> "[saying] where  some user is" and "communicating ... I have
>>  reachability to this or that" are two entirely different things
>> ...
>> In other words, trying to do  both:
>> - finding out where some user/computer/etc is,  and
>> - finding out if/how to get there
>> in a single mechanism would be a really bad  idea.

> Can you put it in better words?

Here's  a real-world analogy that might make it clearer.

Let's say you want to  visit a friend's house (the real-world equivalent of
sending packets to  another computer). The first step above is equivalent to
finding out where  the friend's house is - i.e. their street address. The
second step is  finding out how to get there (either finding a public
transport system such  as bus or subway that gets there, or looking at a map
to see how to  bike/drive/etc there).

Noel

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

---

From: "Fleischman, Eric" <[email-masked]>
Date: Thu, 29 Mar 2007 16:04:26 -0700

There are doubtlessly many ways in which LISP can be implemented, with
certain approaches being considerably simpler than others.
 
Here's how I see it:
1)  The transport network (i.e., the Internet comprised of ISPs) handles
transport (Internet) routing. The ISPs providing those routing services
are "well known".
2)  When an entity (e.g., a corporate AS) wishes to connect to that
transport network (e.g., the Internet), it contacts one or more of those
well-known ISPs of its choice
3)  The ISPs and entity wishing to be Internet-connected negotiate (via
any mechanism of their choice) to determine the relevant policy and
business issues associated with that business arrangement. Among those
issues is the identification of the Points-of-presence between the
corporate AS (for example) and the ISP. This forms an address pairing
mapping between an ISP tunnel endpoint within the transport network
(i.e., the Internet) and the corporate AS network. 
4)  The ISP reports that address pairing to the DNS infrastructure used
by the transport network (e.g., the Internet) that is readable by all.
 
Please notice the complete absence of any logic or procedural
circularity at any point within this process. "Discovery" is handled by
the ISP in accordance with the business relationship established with
the entity it is supporting (e.g., a corporate AS).

[email-masked] [mailto:[email-masked]]  wrote 
 > "Saying where some user is" and "communicating, I have reachability
to this or that"  
>  relates to the same, which is, at which node you may find that guy.